Project

General

Profile

Bug #4274

remove I18n deprecation warning when running tests

Added by Joseph Magen over 6 years ago. Updated over 4 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Internationalization
Target version:
-
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

[deprecated] I18n.enforce_available_locales will default to true in the future. If you really want to skip validation of your locale you can set I18n.enforce_available_locales = false to avoid this message.


Related issues

Related to Foreman - Bug #8791: I18n::InvalidLocale: :en is not a valid localeClosed2014-12-24
Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1Closed2014-08-22

History

#1 Updated by Dominic Cleal over 6 years ago

  • Status changed from Assigned to Ready For Testing
  • Target version set to 1.9.2

#2 Updated by Dmitri Dolguikh over 6 years ago

  • Target version changed from 1.9.2 to 1.9.1

#3 Updated by Dmitri Dolguikh over 6 years ago

  • Target version changed from 1.9.1 to 1.9.0

#4 Updated by Dmitri Dolguikh over 6 years ago

  • Target version changed from 1.9.0 to 1.8.4

#5 Updated by Dmitri Dolguikh over 6 years ago

  • Target version changed from 1.8.4 to 1.8.3

#6 Updated by Dmitri Dolguikh over 6 years ago

  • Target version changed from 1.8.3 to 1.8.4

#7 Updated by Dmitri Dolguikh over 6 years ago

  • Target version changed from 1.8.4 to 1.8.3

#8 Updated by Dmitri Dolguikh about 6 years ago

  • Target version changed from 1.8.3 to 1.8.2

#9 Updated by Dmitri Dolguikh about 6 years ago

  • Target version changed from 1.8.2 to 1.8.1

#10 Updated by Dmitri Dolguikh about 6 years ago

  • Target version changed from 1.8.1 to 1.8.0

#11 Updated by Dmitri Dolguikh about 6 years ago

  • Target version changed from 1.8.0 to 1.7.5

#12 Updated by The Foreman Bot about 6 years ago

  • Pull request https://github.com/theforeman/foreman/pull/1216 added

#13 Updated by Dominic Cleal about 6 years ago

  • Status changed from Ready For Testing to New
  • Assignee deleted (Joseph Magen)
  • Target version deleted (1.7.5)

#14 Updated by Dominic Cleal over 5 years ago

  • Related to Bug #8791: I18n::InvalidLocale: :en is not a valid locale added

#15 Updated by Dominic Cleal over 5 years ago

#16 Updated by Dominic Cleal over 5 years ago

Once we've switched to Rails 4, we'll have newer rubygem-i18n RPMs and so this can be changed, allowing us to unpin the i18n gem again.

#17 Updated by Tom Caspy over 5 years ago

  • Status changed from New to Ready For Testing

#18 Updated by Dominic Cleal over 4 years ago

#19 Updated by Dominic Cleal over 4 years ago

  • Is duplicate of Feature #7230: Upgrade Ruby on Rails to 4.1 added

#20 Updated by Dominic Cleal over 4 years ago

  • Is duplicate of deleted (Feature #7230: Upgrade Ruby on Rails to 4.1)

#21 Updated by Dominic Cleal over 4 years ago

  • Is duplicate of Feature #7230: Upgrade Ruby on Rails to 4.1 added

#22 Updated by Dominic Cleal over 4 years ago

Warning is fixed in #7230 by setting it to false, but the pin that was added in #8791 could now be removed as we have newer i18n gems available now.

#23 Updated by Dominic Cleal over 4 years ago

  • Status changed from Ready For Testing to New
  • Pull request deleted (https://github.com/theforeman/foreman/pull/1216)

#24 Updated by Dominic Cleal over 4 years ago

  • Is duplicate of deleted (Feature #7230: Upgrade Ruby on Rails to 4.1)

#25 Updated by Dominic Cleal over 4 years ago

#26 Updated by Dominic Cleal over 4 years ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

Fixed in #7230.

Also available in: Atom PDF